<ap-search (onTyping)="filter = $event" [value]="filter"></ap-search>
<p class="text-center text-muted" *ngIf="!photos.length">
    Sorry, no photos
</p>
<ap-photos [photos]="photos | filterByDescription: filter"></ap-photos>

<ap-load-button (click)="loadMore()" [hasMore]="hasMore"></ap-load-button>